// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***

import * as pulumi from "@pulumi/pulumi";
import * as inputs from "../types/input";
import * as outputs from "../types/output";

export interface ClusterConfig {
    name: string;
    nodes: outputs.NodeConfig[];
}

export interface Connection {
    host: string;
    port?: number;
    privateKey: string;
    privateKeyPass?: string;
    user?: string;
}

export interface ConnectionConfig {
    host: string;
    port?: number;
    privateKeyPass?: string;
    privateKeyPath: string;
    user?: string;
}

export interface Node {
    connection: outputs.Connection;
    host: string;
}

export interface NodeConfig {
    connection?: outputs.ConnectionConfig;
    host: string;
}

